<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.mapper.user.SecretKeyMapper">


<resultMap type="com.njcn.pojo.user.SecretKey" id="SecretKeyMapperMap" autoMapping="true">
	<id property="secretKeyIndex" column="SECRETKEY_INDEX"/>
	<association property="uID"  autoMapping="true" javaType="User">
    <id property="userIndex" column="USER_INDEX"/>		
	</association>
</resultMap>


<select id="selectSecretkey" resultMap="SecretKeyMapperMap">
select *from PQS_SECRETKEY where USER_INDEX=#{userIndex,jdbcType=VARCHAR}
</select>
</mapper>